/* You can add global styles to this file, and also import other style files */
$enable-rounded:          false;
$dropdown-item-padding-y: 0.1rem;
$dropdown-item-padding-x: 0.5rem;

@import "styles/colors";

@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins";
@import "~bootstrap/scss/utilities";
@import "~bootstrap/scss/helpers";

// Utilities
@import "~bootstrap/scss/utilities/api";

@import "~bootstrap/scss/root";
@import "~bootstrap/scss/reboot";
@import "~bootstrap/scss/buttons";
@import "~bootstrap/scss/button-group";
@import "~bootstrap/scss/forms";
@import "~bootstrap/scss/nav";
@import "~bootstrap/scss/grid";
@import "~bootstrap/scss/card";
@import "~bootstrap/scss/dropdown";

//@import "~@ng-select/ng-select/themes/default.theme.css";
@import 'styles/ngselect-bootstrap';

@import 'styles/variables';
@import 'styles/mixins';
@import 'styles/unit-frame';
@import 'styles/config';
@import 'styles/jobs';

body {
	background-color:  transparent;
	background-repeat: repeat;
	overflow:          hidden;

	&.config-bg {
		background-color: rgba(0, 0, 0, 0.5);
	}
}

header-bar {
	display:    block;
	background: $lightbg;
}

input, button {
	vertical-align: middle;
}

.draggable {
	position: absolute;
}

// @formatter:off
.w100p { width: 100%; }
.w50p { width: 50%; }
.h100p { height: 100%; }
.z10 { z-index: 10; }
.z20 { z-index: 20; }
.z30 { z-index: 30; }
.no-sel { user-select: none }
.cursor-pointer { cursor: pointer }
.ta-c { text-align: center }
.ta-r { text-align: right }
.fz-10 { font-size: 10px; }
.fz-14 { font-size: 14px; }
.fz-16 { font-size: 16px; }
.lh-30 { line-height: 30px; }
.flex-grow { flex-grow: 1 }
.fill-abs { top: 0; right: 0; left: 0; bottom: 0 }
// @formatter:on

.control-bar {
	padding: 5px;
}

.btn-icon {
	width:  12px;
	height: 12px;
}

.ng-select .ng-select-container {
	min-height: 28px;
}

.ng-select.ng-select-single .ng-select-container {
	height: 28px;
}

.top-right-5 { top: 5px; right: 5px }

.text-outline-1 {
	@include stroke();
}

.text-outline-2 {
	@include stroke(#000, 2px);
}

.blur-3 {
	filter: blur(3px);
}

.nav-pills {
	display:               grid;
	grid-template-columns: repeat(auto-fill, minmax(105px, 1fr));

	.nav-link {
		padding:    4px 1rem;
		color:      $light;
		background: $body-bg;
		border:     1px solid $dark;
		text-align: center;

		&.active {
			color:      $dark;
			background: $light;

		}
	}
}

.btn, .btn-sm, .bg-light, {
	background-color: $mainbg;
	box-shadow:       0 0 5px 2px $lightshadow;
	border-color:     transparent;
}

.config-close-btn {
	display: none !important;
}

.btn-warning:hover {
	background-color: $accentbg;
}

.btn-warning {
	background-color: $mainbg;
	border-color:     $mainbg;
}

.ng-dropdown-panel.ng-select-bottom {
	background-color: $mainbg !important;
}

.ng-option, .ng-dropdown-panel {
	background-color: $mainbg !important;
	box-shadow:       0 0 5px 1px $lightshadow !important;
}

.ng-select.ng-select-opened > .ng-select-container {
	background-color: $mainbg;
	inset:            0 0 5px 1px $lightshadow;
}

.ng-dropdown-panel .ng-dropdown-panel-items .ng-option.ng-option-selected, .ng-dropdown-panel .ng-dropdown-panel-items .ng-option.ng-option-selected.ng-option-marked {
	background-color: $accentbg !important;
}

.form-check-input:checked {
	background-color: $checkmarkbg;
}

.form-control, .ng-select-container, .form-check-input {
	background-color: $mainbg;
	inset:            0 0 5px 1px $lightshadow;
}

.card-header {
	background-color: $headerbg;
	box-shadow:       0 0 5px 1px $lightshadow;
}

.card-body {
	background-color: $lightbg;
	box-shadow:       0 0 5px 1px $lightshadow;
}

.mt-1 {
	margin-top:  5px !important;
	margin-left: 250px !important;
}

.config-bar {
	background-color: $headerbg;
	box-shadow:       0 0 4px 1px $lightshadow;

	& > img {
		background: $lightbg !important;
	}
}

.config-pane, .config-pane-content {
	background-color: $mainbg;
}